<template>
  <div
    class="service-title"
  >
    <div class="service-title__title">
      {{ service.title }}
    </div>
    <div class="service-title__info">
      <Locations
        :service="service"
        :order="order"
      />
      <Status
        :service="service"
        :order="order"
      />
    </div>
  </div>
</template>

<script>
import Status from '@/components/Order/orderItem/services/additionalServices/slots/status'
import Locations from '@/components/Order/orderItem/services/additionalServices/slots/locations'

export default {
  name: 'orderAdditionalServicesListTableTitle',
  components: {
    Status,
    Locations
  },
  props: {
    service: {
      type: Object,
      default: () => {}
    },
    order: {
      type: Object,
      default: () => {}
    }
  }
}
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .service-title {
    &__title {
      margin-bottom: 10px;
      @include font-mixin(14px, 18px, 400, $color-text-base);
    }
    &__info {
      max-width: 210px;
    }
  }
</style>
